Subject: [netlmm] Global vs. Local

From: Julien Laganier <[email-masked]>
Date: Fri, 11 May 2007 17:31:08 +0200

Folks,

With my definitions of Global vs. Local Mobility 
Management, I do not agree that PMIP can provide 
global mobility management.

Definitions:

* Global MM: MM handling movements on a global basis 
(or unlimited area). For example I handoff from my 
UMTS cell phone to my sister's apartment WLAN, execute 
global MM, and my connectivity is maintained.

* Local MM: MM handling movements in a local basis (or 
limited area). For example I handoff from one AR to 
another within my corporate network.

With these definitions, it is clear that NETLMM is not 
global MM. My sister's apartment WLAN is certainly not 
trusted to send proxy BU to the LMA I've been using in 
my UMTS network. Further, we cannot assume that a 
security association exists between any access router 
(or access point) and any LMA in the world. Thus 
NETLMM isn't global MM.

W.r.t. the will of some SDOs to use NETLMM for global 
MM, I'll take the stance that this is a confusion in 
terminology between global and local. Certainly if we 
take the example of cellular systems such as UMTS or 
GSM, there's no such thing as global mobility. If I go 
to a country where operators don't have agreement with 
my home operator, I cannot connect (It happened to me 
already). Thus this is not global mobility management. 
Rather, it is localized mobility management, where the 
local area is just quite large and happens to span 
areas covered by a set of operators having roaming 
agreements. From the end-user perspective, this appear 
as a whole, large local mobility management domain.

Hence, I think that SDO can use NETLMM for what they 
call global mobility (in their system architecture). 
Within the IETF that designs protocol for the Internet 
(note big I), global means global, the whole Internet, 
and is certainly not limited to a coalition of 
operators with roaming agreements.

If it happens that SDOs are really annoyed by the 'L' 
in NETLMM, let's explain them what we call global and 
local (I'm certain they can understand), and also that 
our local fits their global :)

My two cents. 

--julien

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm

---

From: Ashutosh Dutta <[email-masked]>
Date: Fri, 11 May 2007 12:02:55 -0400

Julien, good points.

I agree maintaining continuity while moving between two operator's 
domain is "global mobility", by all means. And if we need to rely upon 
*just* PMIP to do that, we will need some sort of security association 
between PMAs and HAs in each domain, so that PMA in visited domain can 
send PBU to the HA in the home domain. I also agree having the need to 
move between two networks that belong to different domains (e.g. carrier 
X,  carrier Y) is rare, although may happen.

Second case is roaming case, when one does not care about maintaining 
session during global mobility, but the mobile moves to a visited domain 
and would like to set up communication. Technically, one can also use 
just PMIP without depending upon CMIP+PMIP to support the roaming while 
in the visited domain.

The positive aspect of having completely PMIP-based solution is that 
mobile does not need any MIP stack, but on the other hand, it would mean 
security association between the roaming partners so that PMA of one 
roaming partner would be able to update the HA of other roaming partner. 
But the roaming partners have usually prior roaming agreement and trust 
relationship so it is technically feasible to have completely PMIP-based 
solution to support global mobility (although rare) and roaming in the 
visited domain.

Thanks
Ashutosh

---

From: Sebastian Thalanany <[email-masked]>
Date: Fri, 11 May 2007 13:10:26 -0500

Hi, Julien,
                      Yes, I agree that the capabilities that are 
inherent in a protocol definition are distinct from the application of 
the protocol from the perspective of implementation and deployment 
choices. With this distinction, the use of of PMIP, for varying degrees 
of geographic coverage or administrative domains, is not implicitly 
constrained by the NETLMM charter.

Regards,
    Sebastian

---

From: "McCann Peter-A001034" <[email-masked]>
Date: Fri, 11 May 2007 14:51:27 -0400

I think Julien makes excellent points here.  I think
we should stick with the terms LMA and MAG.

-Pete

Julien Laganier wrote:
> Folks,
> 
> With my definitions of Global vs. Local Mobility Management, I do not
> agree that PMIP can provide global mobility management. 
> 
> Definitions:
> 
> * Global MM: MM handling movements on a global basis (or unlimited
> area). For example I handoff from my UMTS cell phone to my sister's
> apartment WLAN, execute global MM, and my connectivity is maintained.
> 
> * Local MM: MM handling movements in a local basis (or limited area).
> For example I handoff from one AR to another within my corporate
> network.  
> 
> With these definitions, it is clear that NETLMM is not global MM. My
> sister's apartment WLAN is certainly not trusted to send proxy BU to
> the LMA I've been using in my UMTS network. Further, we cannot assume
> that a security association exists between any access router (or
> access point) and any LMA in the world. Thus NETLMM isn't global MM. 
> 
> W.r.t. the will of some SDOs to use NETLMM for global MM, I'll take
> the stance that this is a confusion in terminology between global and
> local. Certainly if we take the example of cellular systems such as
> UMTS or GSM, there's no such thing as global mobility. If I go to a
> country where operators don't have agreement with my home operator, I
> cannot connect (It happened to me already). Thus this is not global
> mobility management. Rather, it is localized mobility management,
> where the local area is just quite large and happens to span areas
> covered by a set of operators having roaming agreements. From the
> end-user perspective, this appear as a whole, large local mobility
> management domain.         
> 
> Hence, I think that SDO can use NETLMM for what they call global
> mobility (in their system architecture). 
> Within the IETF that designs protocol for the Internet (note big I),
> global means global, the whole Internet, and is certainly not limited
> to a coalition of operators with roaming agreements.  
> 
> in NETLMM, let's explain them what we call global and local (I'm
> certain they can understand), and also that our local fits their
> global :)  
> 
> My two cents.
> 
> --julien
>

---

From: "Ahmad Muhanna" <[email-masked]>
Date: Fri, 11 May 2007 23:19:03 -0500

Hi Julien,

I believe you are capturing an excellent definition here. Basically
Global Mobility vs. Local is like a rubber band. What is Global for
Operator-x is Local for Operator-Y. In other words, what we are
developing here is a generic protocol that addresses local mobility
management. However, this by no means restricts (SDO or Operator)-X from
using this protocol for addressing their own local mobility which, in
comparison to Operator-y, is global mobility. 

Regards,
Ahmad

> -----Original Message-----
> From: Julien Laganier [mailto:[email-masked]] 
> Sent: Friday, May 11, 2007 10:31 AM
> To: [email-masked]
> Subject: [netlmm] Global vs. Local
> 
> Folks,
> 
> With my definitions of Global vs. Local Mobility Management, 
> I do not agree that PMIP can provide global mobility management.
> 
> Definitions:
> 
> * Global MM: MM handling movements on a global basis (or 
> unlimited area). For example I handoff from my UMTS cell 
> phone to my sister's apartment WLAN, execute global MM, and 
> my connectivity is maintained.
> 
> limited area). For example I handoff from one AR to another 
> within my corporate network.
> 
> With these definitions, it is clear that NETLMM is not global 
> MM. My sister's apartment WLAN is certainly not trusted to 
> send proxy BU to the LMA I've been using in my UMTS network. 
> Further, we cannot assume that a security association exists 
> between any access router (or access point) and any LMA in 
> the world. Thus NETLMM isn't global MM.
> 
> W.r.t. the will of some SDOs to use NETLMM for global MM, 
> I'll take the stance that this is a confusion in terminology 
> between global and local. Certainly if we take the example of 
> cellular systems such as UMTS or GSM, there's no such thing 
> as global mobility. If I go to a country where operators 
> don't have agreement with my home operator, I cannot connect 
> (It happened to me already). Thus this is not global mobility 
> management. 
> Rather, it is localized mobility management, where the local 
> area is just quite large and happens to span areas covered by 
> a set of operators having roaming agreements. From the 
> end-user perspective, this appear as a whole, large local 
> mobility management domain.
> 
> Hence, I think that SDO can use NETLMM for what they call 
> global mobility (in their system architecture). 
> Within the IETF that designs protocol for the Internet (note 
> big I), global means global, the whole Internet, and is 
> certainly not limited to a coalition of operators with 
> roaming agreements.
> 
> in NETLMM, let's explain them what we call global and local 
> (I'm certain they can understand), and also that our local 
> fits their global :)
> 
> My two cents. 
> 
> --julien
>

---

From: "Ahmad Muhanna" <[email-masked]>
Date: Fri, 11 May 2007 23:28:39 -0500

Hi Pete,

I assume your comment here is conditional to having these
definitions/explanations, that Julien identified, agreed upon, captured
and documented somewhere as probably part of the charter, for example?

Regards,
Ahmad

> From: McCann Peter-A001034 [mailto:[email-masked]] 
> Sent: Friday, May 11, 2007 1:51 PM
> To: Julien Laganier; [email-masked]
> Subject: RE: [netlmm] Global vs. Local
> 
> I think Julien makes excellent points here.  I think we 
> should stick with the terms LMA and MAG.
> 
> -Pete
> 
> Julien Laganier wrote:
> > Folks,
> > 
> Management, I do not 
> limited area).
> global MM. My 
> (note big I),

---

From: "Alper Yegin" <[email-masked]>
Date: Mon, 14 May 2007 11:40:38 +0300

Hi Julien,

I understand the intent you have with your definition. But I think it has
some issues (see below). I'd say the use of "local" and "global" terms,
which are not well-established in industry, and which has all sorts of
connotations in various segments of the industry, is the culprit. 

> global MM, and my connectivity is maintained.

Going with this definition, MIP4 is not a global MM either, as you cannot
have co-located CoA everywhere and you cannot assume to have an FA either.
And even MIP6 is not a global MM either, as you cannot have IPv6 access
across the globe. 

If MAG-to-LMA SA is one requirement for the netlmm, there are others
(presence of FA, IPv6 support, etc.) for the other protocols.

> as a whole, large local mobility management domain.

Today, people achieve much wider mobility with their GSM phones than with
their ISPs. Sure, if IPv6 were deployed all around then we could do better
with MIP6, but it is not. And this is an operational and deployment issue.
Much like MAG-LMA SAs are... 

I find it tricky to label these protocols as local vs global. 

Alper

---

From: Julien Laganier <[email-masked]>
Date: Mon, 14 May 2007 11:41:00 +0200

Hi Alper,

On Monday 14 May 2007 10:40, Alper Yegin wrote:
> Hi Julien,
>
> I understand the intent you have with your
> definition. But I think it has some issues (see
> below). I'd say the use of "local" and "global"
> terms, which are not well-established in industry,
> and which has all sorts of connotations in various
> segments of the industry, is the culprit.

FWIW, I'm not sure it's worth rehashing global vs. 
local and LMA vs. HA again. Just wanted to point 
out that since its seems fine for some SDOs to do what 
they call *global* mobility with a NET*L*MM protocol, 
we can just work on the protocol instead of renaming 
network elements and rewriting charters :)

From my perspective, *global* mobility refers to the 
ability of a mobile node to maintains existing 
communications and reachability wherever it goes where 
it has 1) IPvN connectivity and 2) a global IPvN 
unicast address (N in {4,6} ). 

If you don't have connectivity then how can you use 
mobility in the first place. Same with not having 
global unicast: that's not real connectivity since not 
everyone connected to Internet can reach you. All 
those are limitations of your IP connectivity, thus 
constraining the scope of the mobility. But these 
limitations in scope are not inherent to the mobility 
protocols themselves, they rather come from 
limitations of IPvN connectivity.

With these refined definitions, see below:

> > * Global MM: MM handling movements on a global
> > basis (or unlimited area). For example I handoff
> > from my UMTS cell phone to my sister's apartment
> > WLAN, execute global MM, and my connectivity is
> > maintained.
>
> Going with this definition, MIP4 is not a global MM
> either, as you cannot have co-located CoA everywhere
> and you cannot assume to have an FA either. 

AFAIU you can't have collocated CoA because you don't 
get a global unicast IPv4 address. IMHO that's a 
limitation of IPv4 connectivity, not of the scope of 
mobility management offered by MIPv4. 

> And even MIP6 is not a global MM either, as you
> cannot have IPv6 access across the globe.

Again, the issue would be that you don't have IPv6 
connectivity (besides, if you get IPv4 access, 
you can get IPv6 via tunneling, even behind NATs with 
UDP encap; freenet6 does that).

> If MAG-to-LMA SA is one requirement for the netlmm,
> there are others (presence of FA, IPv6 support,
> etc.) for the other protocols.

Again, I think the requirement is that you have _real_ 
IPvN connectivity, i.e. a global IPvN unicast address.

> > * Local MM: MM handling movements in a local basis
> > (or limited area). For example I handoff from one
> > AR to another within my corporate network.
> >
> > With these definitions, it is clear that NETLMM is
> > not global MM. My sister's apartment WLAN is
> > certainly not trusted to send proxy BU to the LMA
> > I've been using in my UMTS network. Further, we
> > cannot assume that a security association exists
> > between any access router (or access point) and
> > any LMA in the world. Thus NETLMM isn't global MM.
> >
> > W.r.t. the will of some SDOs to use NETLMM for
> > global MM, I'll take the stance that this is a
> > confusion in terminology between global and local.
> > Certainly if we take the example of cellular
> > systems such as UMTS or GSM, there's no such thing
> > as global mobility. If I go to a country where
> > operators don't have agreement with my home
> > operator, I cannot connect (It happened to me
> > already). Thus this is not global mobility
> > management. Rather, it is localized mobility
> > management, where the local area is just quite
> > large and happens to span areas covered by a set
> > of operators having roaming agreements. From the
> > end-user perspective, this appear as a whole,
> > large local mobility management domain.
>
> Today, people achieve much wider mobility with their
> GSM phones than with their ISPs. Sure, if IPv6 were
> deployed all around then we could do better with
> MIP6, but it is not. And this is an operational and
> deployment issue. Much like MAG-LMA SAs are...

We are in agreement that this is operational and 
deployment issue: MIPv6 gives you global connectivity 
provided that you have global unicast IPv6 
connectivity (or use freenet with IPv4 connectivity), 
same with MIPv4 and IPv4 global connectivity.

Regarding the comparison to GSM, there's still couple 
of places where you don't get any connectivity (e.g. 
Japan).

From an IETF point of view (i.e. Internet Protocol) GSM 
isn't global since you are required to have one type 
of air interface, and an operator who has negotiated 
roaming agreements to where you're going. That's not 
global IP mobility. MIPv6 is.

> I find it tricky to label these protocols as local

Agree about trickiness to do generic classification. I 
think she should specify the context/point-of-view in 
which a classification is done. IMHO, from IETF 
point-of-view, MIPv6 is global mobility, NETLMM isn't, 
it's local. 

Now from the point-of-view of someone whose only sort 
of connectivity is GSM, certainly the classification 
might be different and GSM would qualify for global -- 
YMMV :)

In conclusion I think we can just continue to work on 
NETLMM protocols and let people deploy those as they 
see fit. I don't really think that NETLMM isn't going 
to be deployed because of the 'L' in NETLMM and LMA -- 
let's be confident in engineering.

Regards,

--julien

---

From: "Genadi Velev" <[email-masked]>
Date: Mon, 14 May 2007 11:30:40 +0200

Hi Ahmad,

terms like "Local Mobility", "Global Mobility Management Protocol" and
others are already specified in RFC4830 which has been produced by this
WG.  I cannot remember about long discussion on the terms at that time,
but IMO the definition of Local Mobility describes the aspect of PMIPv6
applicability envisaged by WiMAX or 3GPP:
     "... Note that
      although the area of network topology over which the mobile node
      moves may be restricted, the actual geographic area could be quite
      large, depending on the mapping between the network topology and
      the wireless coverage area."

I think Julien's explanations are captured in high-level descriptions in
parts of RFC4830.  I am personally not a big supporter of the term LMA
(because functionally it is a HA), but I can live with it and think we
need to respect the chairs/ADs guidelines. 

Regards,
Genadi

> From: Ahmad Muhanna [mailto:[email-masked]] 
> Sent: Saturday, May 12, 2007 6:29 AM
> To: McCann Peter-A001034; Julien Laganier; [email-masked]
> unlimited 
> I'll take 

Panasonic R&D Center Germany GmbH
63225 Langen, Hessen, Germany
Reg: AG Offenbach (Hessen) HRB 33974
Managing Director: Thomas Micke

---

From: "Alper Yegin" <[email-masked]>
Date: Mon, 14 May 2007 14:28:36 +0300

Julien,
 
"Local" and "global" has something to do with geographic or topologic
distance. The technical issue we are discussing is "presence of an SA
between LMA and MAG". The two are not the same thing, and use of
"local/global" to mean the latter does not make sense to me. You can have
two adjacent networks that cannot run netlmm, whereas two worlds-apart
networks can run it very well.

> let's be confident in engineering.

I never thought the extra L would be a show stopper. But it does not really
represent the real intent (lack of SA). For that it is just going to cause
confusion and generate unnecessary questions...

Alper

---

From: "Hesham Soliman" <[email-masked]>
Date: Mon, 14 May 2007 22:44:36 +1000

The difference between local and global mobility is that global mobility's
scope is the Internet and local mobility's scope is a "local domain" where a
local domain's scope is less than the Internet. 

The definitions of those two terms cannot be made based on a deployment
scenario or operator agreements, it is based on the capabilities of the
protocols in question. 

Now, fortunately or unfortunately (depending on who you ask), in MIPv6 you
can essentially use the same message to achieve both. I understand that this
would confuse people, but please understand that the reasons for having
local mobility (in general) are:
- Limiting mobility signalling to the local domain, which makes handovers
more predictable. 
- In general, it is assumed that the local anchor is closer, therefore there
is an optimisation in terms of delay. 
- Specific to MIPv6: There is a significant reduction in the amount of
signalling as a result of to a handover while maintaining RO. 

The implication of using local Vs Global is the permanence of the address
and the special relation between the HA and the MN. While this is not
necessarily reflected in different messages being used, it is a funadamental
assumption in the design of MIPv6. 
Address permanence originally meant that the MN has the same address (in
MIPv6) and that it never changes it when it moves. I.e., the HA is a global
anchor. However, with dynamic address allocation being introduced in MIPv6,
the only meaning that holds true in all cases for address permanence is that
it doesn't change wherever the MN moves in the Internet. 

Given those implications (address permanence and security relationship), and
given NETLMM's work and the scenarios being discussed, some obvious
questions come to mind: Why should the local mobility management protocol
developed here be used to support a permanent address, i.e. the HoA?
Why should we account for global mobility here? This is essentially the
objectionable scenario in draft-giaretta. If someone from those SDOs that
want to use PMIP in such manner can answer this question I'll be eternally
grateful. To state the same questions again in a different way: Why do those
SDOs need that permanent address support in PMIP? what's the significance of
permanence for them? Is there a special need for address permanence globally
that only PMIP can satisfy? 

Hesham

---

From: Julien Laganier <[email-masked]>
Date: Mon, 14 May 2007 16:48:44 +0200

Alper,

I think we more or less agree. 

In addition to NETLMM requirement 1) "presence of an SA 
between LMA and MAG", I'll add requirement 2) presence 
of a MAG in the access network. Since we can't assume 
that both requirements are going to be satisfied on a 
global basis in the Internet, I think NETLMM can't be 
labelled as global mobility.

OTOH I agree with you that 'local' might be misleading 
(although in a local, hence limited, domain it is more 
likely than 1) and 2) above are satisfied).

Best,

--julien

On Monday 14 May 2007 13:28, Alper Yegin wrote:
> Julien,
>
> "Local" and "global" has something to do with
> geographic or topologic distance. The technical
> issue we are discussing is "presence of an SA
> between LMA and MAG". The two are not the same
> thing, and use of "local/global" to mean the latter
> does not make sense to me. You can have two adjacent
> networks that cannot run netlmm, whereas two
> worlds-apart networks can run it very well.
>
> > In conclusion I think we can just continue to work
> > on NETLMM protocols and let people deploy those as
> > they see fit. I don't really think that NETLMM
> > isn't going to be deployed because of the 'L' in
> > NETLMM and LMA -- let's be confident in
> > engineering.
>
> I never thought the extra L would be a show stopper.
> But it does not really represent the real intent
> (lack of SA). For that it is just going to cause

---

From: Ashutosh Dutta <[email-masked]>
Date: Mon, 14 May 2007 09:10:56 -0400

I also agree that the presence of an SA between LMA and MAG should be 
considered. If a deployment scenario warrants to use *just* PMIP to 
support inter-domain movement (i.e., global mobility) this SA can as 
well be extended between hLMA and vMAG, where hLMA and vMAG belong to 
two different roaming partners having a pre-established roaming agreement.

Thanks
Ashutosh

---

From: "Kalin Getov" <[email-masked]>
Date: Mon, 14 May 2007 15:39:02 +0200

I also think that the establishment of SA between MAG and MNs LMA is essential. This is the requirement, which restricts the PMIPv6 domain as I see it. The NETLMM solution is definitely a local mobility solution.

Greetings,
Kalin

-------- Original-Nachricht --------
Datum: Mon, 14 May 2007 16:48:44 +0200
Von: Julien Laganier <[email-masked]>
An: "Alper Yegin" <[email-masked]>
CC: [email-masked]
Betreff: Re: [netlmm] Global vs. Local

-- 
******************************************
Best Regards
Kalin Getov

[email-masked]
******************************************

Psssst! Schon vom neuen GMX MultiMessenger gehört?
Der kanns mit allen: http://www.gmx.net/de/go/multimessenger

---

From: "Chowdhury, Kuntal" <[email-masked]>
Date: Tue, 15 May 2007 18:41:35 -0400

> From: Kalin Getov [mailto:[email-masked]]
> Sent: Monday, May 14, 2007 8:39 AM
> To: Julien Laganier
> Cc: [email-masked]
> Subject: Re: [netlmm] Global vs. Local
> 
>   I also think that the establishment of SA between MAG and MNs LMA is
> essential. This is the requirement, which restricts the PMIPv6 domain as I
> see it. The NETLMM solution is definitely a local mobility solution.
> 
[KC>] This does not make sense. Are you saying that IPsec SA cannot be established between MAG in domain-1 and LMA in domain-2?

---

From: "Chowdhury, Kuntal" <[email-masked]>
Date: Tue, 15 May 2007 19:06:40 -0400

Hi Julien,

Please see my comment inline...

> Sent: Monday, May 14, 2007 9:49 AM
> To: Alper Yegin
> Cc: [email-masked]
[KC>] I think both the terms "global" and "local" are misleading. As you
have pointed out the scalability issue of having SAs between all the
possible MAGs and LMAs in the internet (i.e. the case against global
applicability of PMIP6), similarly the term "local" w.r.t. PMIP6
protocol is misleading if a MAG and a LMA in the internet has SA but are
geographically far apart from each other.

Ideally, we should define the PMIP6 protocol such a way that as long as
there is a SA between the MAG and the LMA, the security requirement for
the protocol is satisfied. We should leave the "global" or "local"
applicability to the deployment scenario.

> likely than 1) and 2) above are satisfied).
[KC>] I think your statement aligns with that of mine :-)

---

From: "KASSI-LAHLOU Mohammed RD-CORE-CAE" <[email-masked]>
Date: Wed, 16 May 2007 09:51:48 +0200

Hi, 

I agree that we should define protocols and leave their applicability to the deployment.
In other words, if the mobile node arrives on the same prefix as previously it should continue without using mobility protocol if not it should use mobility protocol if it has one. The mobile node may arrive on the same prefix as previously because it is really the case or because the MAG announces that. In this last case, this means that the MAG was deployed with these capabilities and this is a deployment matter.

Kassi

-----Message d'origine-----
De : Chowdhury, Kuntal [mailto:[email-masked]] 
Envoyé : mercredi 16 mai 2007 01:07
À : Julien Laganier; Alper Yegin
Cc : [email-masked]
Objet : RE: [netlmm] Global vs. Local

Hi Julien,

> In addition to NETLMM requirement 1) "presence of an SA between LMA 
> and MAG", I'll add requirement 2) presence of a MAG in the access 
> network. Since we can't assume that both requirements are going to be 
> satisfied on a global basis in the Internet, I think NETLMM can't be 
[KC>] I think both the terms "global" and "local" are misleading. As you have pointed out the scalability issue of having SAs between all the possible MAGs and LMAs in the internet (i.e. the case against global applicability of PMIP6), similarly the term "local" w.r.t. PMIP6 protocol is misleading if a MAG and a LMA in the internet has SA but are geographically far apart from each other.

Ideally, we should define the PMIP6 protocol such a way that as long as there is a SA between the MAG and the LMA, the security requirement for the protocol is satisfied. We should leave the "global" or "local"
applicability to the deployment scenario.

> OTOH I agree with you that 'local' might be misleading (although in a 
> local, hence limited, domain it is more likely than 1) and 2) above 
> are satisfied).
> 

> > "Local" and "global" has something to do with geographic or 
> > topologic distance. The technical issue we are discussing is 
> > "presence of an SA between LMA and MAG". The two are not the same 
> > thing, and use of "local/global" to mean the latter does not make 
> > sense to me. You can have two adjacent networks that cannot run 
> > netlmm, whereas two worlds-apart networks can run it very well.
> >
> > > In conclusion I think we can just continue to work on NETLMM 
> > > protocols and let people deploy those as they see fit. I don't 
> > > really think that NETLMM isn't going to be deployed because of the 
> > > 'L' in NETLMM and LMA -- let's be confident in engineering.
> >
> > But it does not really represent the real intent (lack of SA). For 
> > that it is just going to cause confusion and generate unnecessary 
> > questions...
> >
> > Alper
>

---

From: "Soininen Jonne (NSN FI/Espoo)" <[email-masked]>
Date: Wed, 16 May 2007 19:42:20 +0300

Hi everybody,

There now seems to have been a lot of discussion about this Global vs. Local
issue. IMHO, I don't think we can come to even a rough consensus on these
two specific terms any time soon. However, there seems to be a need to
clarify the applicability of the protocol to make sure it fits the people
that would want to use it. I also checked rfc4830 and I tend to agree that
the definition of local might be a bit misleading.

<proposal> So, I would propose that we wouldn't continue the discussion
between global and local mobility management. Instead, we would kind of add
text to the protocol document itself to clarify the applicability of the
protocol. Basically stating that the protocol can be used for mobility in
cases where there is an administrative relationship between the MAGs, which
allows the needed credentials etc. to be distributed and to ensure the
handover is done securely. (I don't even try to propose the actual text
here.) </proposal>

How does this directions sound like? Would that satisfy the needs and
worries of (at least most of) the people involved in the discussion?

Cheers,

Jonne.

-- 
Jonne Soininen
Nokia Siemens Networks

Tel: +358 40 527 46 34
E-mail: [email-masked]

---

From: "Jean-Michel Combes" <[email-masked]>
Date: Wed, 16 May 2007 19:01:47 +0200

Hi all,

At first, for the moment, I have no preference on this point but ...
IMHO, that is against the " IETF philosophy" that has been chosen in
the past regarding some others protocols. I have specially in mind
here MIPv6 (RFC 3775) and CxTP (RFC 4067) where, for the first, it has
been decided to specify a infrastructureless security protocol to
secure the signalling and for the second to restrict its use in a same
administrative domain.

My 0.02 euro cents.

Best regards.

JMC.

> worries of (at least most of) the people involved in the discussion?

[snip]

---

From: "Vijay Devarapalli" <[email-masked]>
Date: Wed, 16 May 2007 10:42:13 -0700

Hello Jonne,

Before we got into discussing "Global vs Local" mobility management,
we were discussing whether calling the home agent-like functionality
an LMA, makes sense. It is very confusing to use the term LMA, when
you apply PMIPv6 to some of the SDO architectures. You haven't 
addressed that in your email. I would still be in favor of changing 
the name to something like PMIPv6 HA or pHA.

> Instead, we would kind of add
> handover is done securely. 

Agree with this.

We might need to expand the definition of Proxy Mobile IPv6 domain 
to say that it includes the LMAs and the MAGs between which 
security associations can be setup and authorization for sending 
proxy binding updates on behalf of the mobile nodes can be ensured. 

Vijay

---

From: Ashutosh Dutta <[email-masked]>
Date: Wed, 16 May 2007 14:08:36 -0400

As long as we cover PMIP's applicability to different deployment 
scenarios, and do not restrict it to *intra-domain* only, this proposal 
sounds reasonable to me with respect to *global mobility vs. local 
mobility* discussion that we had in the mailing list.

Thanks
Ashutosh

---

From: "Jean-Michel Combes" <[email-masked]>
Date: Wed, 16 May 2007 20:13:01 +0200

Hi Vijay,

> the name to something like PMIPv6 HA or pHA.

I don't agree because it will be very confusing in the IETF in the
future. The main reason is because the LMA is not a HA for the MN from
the RFC 3753 point of view (i.e. the CoA in the Binding Cache is the
LMA's address and not the MN's CoA address).

Best regards.

JMC.

---

From: "Jean-Michel Combes" <[email-masked]>
Date: Wed, 16 May 2007 20:14:18 +0200

s/LMA's address/MAG's address

Sorry.

Best regards.

JMC.

---

From: "Vijay Devarapalli" <[email-masked]>
Date: Wed, 16 May 2007 11:58:42 -0700

Jean-Michel,

I had suggested "MIPv6 HA" or pHA. It is not the same as a home
agent defined in RFC 3775.

Vijay

> From: Jean-Michel Combes [mailto:[email-masked]] 
> Sent: Wednesday, May 16, 2007 11:13 AM
> To: Vijay Devarapalli
> Cc: Soininen Jonne (NSN FI/Espoo); [email-masked]
> Subject: Re: Proposal forward on Global vs. Local Mobility 
> (Re: [netlmm]Global vs. Local)
> 
> Hi Vijay,
>

---

From: "Alper Yegin" <[email-masked]>
Date: Wed, 16 May 2007 22:05:14 +0300

> an LMA, makes sense. It is very confusing to use the term LMA, when

I agree. Charter text comes and goes, but the spec stays. Use of "local" in
the PMIPv6 spec is confusing. 

> the name to something like PMIPv6 HA or pHA.

I'd say it is still an HA.

> proxy binding updates on behalf of the mobile nodes can be ensured.

I agree. This is better than using other terms like "administrative
relationship" and "local".

Alper

---

From: "Sri Gundavelli" <[email-masked]>
Date: Wed, 16 May 2007 22:15:14 -0700

Hi Jonne,

> From: Soininen Jonne (NSN FI/Espoo) [mailto:[email-masked]] 
> Sent: Wednesday, May 16, 2007 9:42 AM
> To: [email-masked]
> Subject: Proposal forward on Global vs. Local Mobility (Re: 
> [netlmm]Global vs. Local)
> 
> Hi everybody,
> 

Absolutely ! This is a good way forward. I agree. If there is a
security relation between a LMA and MAG, the protocol will work.
Restricting the protocol scope to *local domain*, what ever that
local domain means, is not making sense. So, this applicability
note properly establishes the scope of the protocol. I agree !!

Regards
Sri

---

From: "Ahmad Muhanna" <[email-masked]>
Date: Thu, 17 May 2007 00:18:54 -0500

Hi Jonne,
Thanks for the suggestion; please see comment inline.

Regards,
Ahmad

> [netlmm] Global vs. Local)
> 
> Hi everybody,
> 
> There now seems to have been a lot of discussion about this 
> Global vs. Local issue. IMHO, I don't think we can come to 
> even a rough consensus on these two specific terms any time 
> soon. However, there seems to be a need to clarify the 
> applicability of the protocol to make sure it fits the people 
> that would want to use it. I also checked rfc4830 and I tend 
> to agree that the definition of local might be a bit misleading.
> 
> <proposal> So, I would propose that we wouldn't continue the 
> discussion between global and local mobility management. 

[Ahmad]
I agree.

> Instead, we would kind of add text to the protocol document 
> itself to clarify the applicability of the protocol. 
> Basically stating that the protocol can be used for mobility 
> in cases where there is an administrative relationship 
> between the MAGs, which allows the needed credentials etc. to 

[Ahmad]
Yes, I agree, as long as we capture the needed/enabling requirement in
the base protocol document and probably in the PMIP-CMIP Interaction
one, then I guess we are ok.

> be distributed and to ensure the handover is done securely. 
> (I don't even try to propose the actual text
> here.) </proposal>
> 
> How does this directions sound like? Would that satisfy the 
> needs and worries of (at least most of) the people involved 
> in the discussion?

[Ahmad]
Yes.
> between LMA 
> > [KC>] I think both the terms "global" and "local" are 
> misleading. As 
> > you have pointed out the scalability issue of having SAs 
> between all 
> > the possible MAGs and LMAs in the internet (i.e. the case against 
> > global applicability of PMIP6), similarly the term "local" w.r.t. 
> > PMIP6 protocol is misleading if a MAG and a LMA in the 
> internet has SA 
> > but are geographically far apart from each other.
> > 
> > Ideally, we should define the PMIP6 protocol such a way 
> that as long 
> > as there is a SA between the MAG and the LMA, the security 
> requirement 
> > for the protocol is satisfied. We should leave the "global" 
> or "local"
> (although in a

---

From: "Mohamed Khalil" <[email-masked]>
Date: Thu, 17 May 2007 11:22:00 -0500

> needs and worries of (at least most of) the people involved 

Mohamed>> I have no problem with this proposal.

---

From: "Chowdhury, Kuntal" <[email-masked]>
Date: Thu, 17 May 2007 23:36:46 -0400

Hello Jonne,

Please clarify what you mean by administrative relationship between the
MAGs. Did you intend to say security association between the MAG and the
LMA? 

We have not discussed MAG - MAG interactions yet in the PMIP6 base
draft. Also note that distribution of necessary credential(s) among the
MAGs in a Proxy Mobile IPv6 Domain does not require context transfer
between the MAGs. The credentials such as MN-ID can be distributed or
obtained at a given MAG via the AAA infrastructure, or via context
transfer or any other out-of-band methods. 

Nevertheless, I am in agreement with the general concept in your
proposal. Basically, we should define the requirements of the PMIP6
protocol operation and leave the global vs. local applicability to the
deployments.

Best regards,
Kuntal

> Sent: Wednesday, May 16, 2007 11:42 AM
> To: [email-masked]
[netlmm]Global
> vs. Local)
discussion
> between global and local mobility management. Instead, we would kind
of
> add

---

From: Jari Arkko <[email-masked]>
Date: Fri, 18 May 2007 16:52:14 +0300

Jonne,

> worries of (at least most of) the people involved in the discussion?

Sounds good to me.

Jari

---

From: Christian Vogt <[email-masked]>
Date: Mon, 21 May 2007 10:38:46 +0300

> handover is done securely. (I don't even try to propose the actual text

Hi Jonne, all,

that makes sense to me.  Given that there seems to be agreement with
your proposal, at least to some extent, I added the following issues
tracker entry:

----
There are different opinions on whether the PMIPv6 protocol should be
labeled a protocol for "localized" or for "global" mobility management.
Some folks think that the localized/global attributes describe the
geographic or topological extent of a network. Others feel that the
attributes should reflect the requirements in terms of
mobility-management infrastructure in access networks and security
associations between home and visited operators.

However, there seems to be consensus now that the PMIPv6 specification
should refrain from labeling the protocol as localized or global, but
that it should rather state any requirements that deployments of the
protocol have to fulfill to interoperate and provide roaming. See
Jonne's email "Proposal forward on Global vs. Local Mobility" from
2007/05/16. The PMIPv6 specification should be modified accordingly.
----

Kind regards,
- Christian

---

From: Julien Laganier <[email-masked]>
Date: Tue, 22 May 2007 10:54:37 +0200

Hi Jonne,

This is fine with me.

--julien

On Wednesday 16 May 2007 18:42, Soininen Jonne (NSN 
FI/Espoo) wrote:
> Hi everybody,
>
> There now seems to have been a lot of discussion
> about this Global vs. Local issue. IMHO, I don't
> think we can come to even a rough consensus on these
> two specific terms any time soon. However, there
> seems to be a need to clarify the applicability of
> the protocol to make sure it fits the people that
> would want to use it. I also checked rfc4830 and I
> tend to agree that the definition of local might be
> a bit misleading.
>
> <proposal> So, I would propose that we wouldn't
> continue the discussion between global and local
> mobility management. Instead, we would kind of add
> text to the protocol document itself to clarify the
> applicability of the protocol. Basically stating
> that the protocol can be used for mobility in cases
> where there is an administrative relationship
> between the MAGs, which allows the needed
> credentials etc. to be distributed and to ensure the
> handover is done securely. (I don't even try to
> propose the actual text here.) </proposal>
>
> How does this directions sound like? Would that
> satisfy the needs and worries of (at least most of)
> the people involved in the discussion?
>
> Cheers,
>
> Jonne.
>
>
> >> From: Julien Laganier
> >> [mailto:[email-masked]] Sent: Monday,
> >> May 14, 2007 9:49 AM
> >> To: Alper Yegin
> >> Cc: [email-masked]
> >> In addition to NETLMM requirement 1) "presence of
> >> an SA between LMA and MAG", I'll add requirement
> >> 2) presence of a MAG in the access network. Since
> >> we can't assume that both requirements are going
> >> to be satisfied on a global basis in the
> >> Internet, I think NETLMM can't be labelled as
> >> global mobility.
> >
> > [KC>] I think both the terms "global" and "local"
> > are misleading. As you have pointed out the
> > scalability issue of having SAs between all the
> > possible MAGs and LMAs in the internet (i.e. the
> > case against global applicability of PMIP6),
> > similarly the term "local" w.r.t. PMIP6 protocol
> > is misleading if a MAG and a LMA in the internet
> > has SA but are geographically far apart from each
> > other.
> >
> > Ideally, we should define the PMIP6 protocol such
> > a way that as long as there is a SA between the
> > MAG and the LMA, the security requirement for the
> > protocol is satisfied. We should leave the
> > "global" or "local" applicability to the
> > deployment scenario.
> >
> >> OTOH I agree with you that 'local' might be
> >> misleading (although in a local, hence limited,
> >> domain it is more likely than 1) and 2) above are
> >> satisfied).
> >
> >>> thing, and use of "local/global" to mean the
> >>> latter does not make sense to me. You can have
> >>> two adjacent networks that cannot run netlmm,
> >>> whereas two worlds-apart networks can run it
> >>> very well.
> >>>
> >>>> In conclusion I think we can just continue to
> >>>> work on NETLMM protocols and let people deploy
> >>>> those as they see fit. I don't really think
> >>>> that NETLMM isn't going to be deployed because
> >>>> of the 'L' in NETLMM and LMA -- let's be
> >>>> confident in engineering.
> >>>
> >>> I never thought the extra L would be a show
> >>> stopper. But it does not really represent the
> >>> real intent (lack of SA). For that it is just
> >>> going to cause confusion and generate
> >>> unnecessary questions...
> >>>
> >>> Alper
> >>

---

From: "Ahmad Muhanna" <[email-masked]>
Date: Tue, 22 May 2007 13:45:49 -0500

Hi Genadi,
I am sorry it seems that somehow I never replied to your email. My
apology.
Yes, In general I agree with you. Thanks for the pointer.

Regards,
Ahmad

> From: Genadi Velev [mailto:[email-masked]] 
> Sent: Monday, May 14, 2007 4:31 AM
> To: Muhanna, Ahmad (RICH1:2H10); McCann Peter-A001034; Julien 
> Laganier; [email-masked]
> terms like "Local Mobility", "Global Mobility Management 
> Protocol" and others are already specified in RFC4830 which 
> has been produced by this WG.  I cannot remember about long 
> discussion on the terms at that time, but IMO the definition 
> of Local Mobility describes the aspect of PMIPv6 
> I think Julien's explanations are captured in high-level 
> descriptions in parts of RFC4830.  I am personally not a big 
> supporter of the term LMA (because functionally it is a HA), 
> but I can live with it and think we need to respect the 
> chairs/ADs guidelines. 
> 
> Regards,
> Genadi
> 
> 
> > definitions/explanations, that Julien identified, agreed upon, 
> > captured and documented somewhere as probably part of the 
> charter, for 
> > example?
> > 
> > Regards,
> > Ahmad
> >  
> > 
> local (I'm